Subject: Re: [PATCH net-next] be2net: Remove unused declarations

From: Simon Horman <[email-masked]>
Date: Mon, 2 Sep 2024 19:24:19 +0100

On Mon, Sep 02, 2024 at 07:32:38PM +0800, Yue Haibing wrote:
> Commit 6b7c5b947c67 ("net: Add be2net driver.") declared be_pci_fnum_get()
> and be_cmd_reset() but never implemented. And commit 9fa465c0ce0d ("be2net:
> remove code duplication relating to Lancer reset sequence") removed
> lancer_test_and_set_rdy_state() but leave declaration.
> 
> Commit 76a9e08e33ce ("be2net: cleanup wake-on-lan code") left behind
> be_is_wol_supported() declaration.
> Commit baaa08d148ac ("be2net: do not call be_set/get_fw_log_level() on
> Skyhawk-R") removed be_get_fw_log_level() but leave declaration.
> 
> Signed-off-by: Yue Haibing <[email-masked]>

Thanks, I agree with your analysis.

Reviewed-by: Simon Horman <[email-masked]>